Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetUserPersonalProfilePhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetUserPersonalProfilePhoto

Enclosing class:
  TdApi

public static final class TdApi.SetUserPersonalProfilePhoto extends TdApi.Function<TdApi.Ok>
Changes a personal profile photo of a contact user.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.InputChatPhoto`
`photo`
Profile photo to set; pass null to delete the photo; inputChatPhotoPrevious isn't supported in this function.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`SetUserPersonalProfilePhoto()`
Changes a personal profile photo of a contact user.
`SetUserPersonalProfilePhoto(long userId, TdApi.InputChatPhoto photo)`
Changes a personal profile photo of a contact user.
`SetUserPersonalProfilePhoto(DataInput input)`
Changes a personal profile photo of a contact user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
User identifier.

### photo

public TdApi.InputChatPhoto photo
Profile photo to set; pass null to delete the photo; inputChatPhotoPrevious isn't supported in this function.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetUserPersonalProfilePhoto

public SetUserPersonalProfilePhoto()
Changes a personal profile photo of a contact user.

Returns `Ok`

### SetUserPersonalProfilePhoto

public SetUserPersonalProfilePhoto(long userId, TdApi.InputChatPhoto photo)
Changes a personal profile photo of a contact user.

Returns `Ok`

Parameters:
  `userId` - User identifier.
  `photo` - Profile photo to set; pass null to delete the photo; inputChatPhotoPrevious isn't supported in this function.

  Returns `Ok`

### SetUserPersonalProfilePhoto

public SetUserPersonalProfilePhoto(DataInput input) throws IOException
Changes a personal profile photo of a contact user.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`